kr.co.hanwha.hifive.admin.network

## Class AdminNetworkUtil

- java.lang.Object
- - kr.co.hanwha.hifive.admin.network.AdminNetworkUtil

    public class AdminNetworkUtil
    extends java.lang.Object

Created by sanghoonkwon on 2018. 3. 9..

### Field Summary

Fields
`protected java.lang.String` `APP_CV_ADD` 버전 정보 등록
`protected java.lang.String` `APP_CV_DELETE` 버전 정보 삭제
`protected java.lang.String` `APP_CV_GET` 버전 정보 목록 조회
`protected java.lang.String` `APP_CV_UPDATE` 버전 정보 수정
`protected java.lang.String` `APP_GET_CODES` 코드 조회
`protected java.lang.String` `APP_UPDATE` 업데이트 확인
`protected java.lang.String` `BASE_URL`
`private java.lang.String` `CONTENT_TYPE` Header
`(package private) HanwhaNetworkCallback` `mCommonHanwhaNetworkCallback`
`protected java.lang.String` `MEMBERS_ADDUP` 멤버 - 등록 / 수정
`protected java.lang.String` `MEMBERS_DELETE_AUTHCODE` 멤버 - RESET SIMPLE PASSWORD
`protected java.lang.String` `MEMBERS_GET_DETAILS_HR` 멤버 상세 정보
`protected java.lang.String` `MEMBERS_GET_TASKS` 멤버 - TASK 목록 조회
`protected java.lang.String` `MEMBERS_SEARCH_HR` 멤버 목록
`protected java.lang.String` `MEMBERS_UPDATE_PASSWORD` 멤버 - RESET PASSWORD
`private HanwhaNetworkCallback` `mHanwhaNetworkCallback` HanwhaNetworkCallback
`private java.lang.String` `PARAM_ENCRYPTION_MEMBER_ID`
`private java.lang.String` `PARAM_ID`
`private java.lang.String` `PARAM_IS_FORCED`
`private java.lang.String` `PARAM_LOGIN_ID`
`private java.lang.String` `PARAM_MEMBER_ID`
`private java.lang.String` `PARAM_PASSWORD`
`private java.lang.String` `PARAM_PLATFORM_TYPE`
`private java.lang.String` `PARAM_RELEASED_AT`
`private java.lang.String` `PARAM_STRING_BUNDLE`
`private java.lang.String` `PARAM_UPDATE_NOTICE`
`private java.lang.String` `PARAM_UPDATE_URL`
`private java.lang.String` `PARAM_VERSION`
`private int` `RESULT_SUCCESS`
`private java.lang.String` `USER_AGENT`
`private java.lang.String` `USER_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`AdminNetworkUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`private java.util.HashMap<java.lang.String,java.lang.String>` `getDefaultHeader(android.content.Context context)`
`private java.util.HashMap<java.lang.String,java.lang.String>` `getIosHeader(android.content.Context context)`
`private java.lang.String` `getOsVersion()`
`void` `requestCheckUpdateAndroid(android.content.Context context, HanwhaNetworkCallback callback)` 최신 업데이트 버전 조회 (Android)
`void` `requestCheckUpdateIos(android.content.Context context, HanwhaNetworkCallback callback)` 최신 업데이트 버전 조회 (iOS)
`void` `requestClientVersionAdd(android.content.Context context, java.lang.String encryption_member_id, int platform_type, java.lang.String released_at, java.lang.String version, java.lang.String string_bundle, boolean is_forced, java.lang.String update_notice, java.lang.String update_url, HanwhaNetworkCallback callback)` 버전 정보 등록
`void` `requestClientVersionDelete(android.content.Context context, java.lang.String encryption_member_id, int id, HanwhaNetworkCallback callback)` 버전 정보 삭제
`void` `requestClientVersionList(android.content.Context context, java.lang.String encryption_member_id, HanwhaNetworkCallback callback)` 버전 정보 목록 조회
`void` `requestClientVersionUpdate(android.content.Context context, java.lang.String encryption_member_id, int id, int platform_type, java.lang.String released_at, java.lang.String version, java.lang.String string_bundle, boolean is_forced, java.lang.String update_notice, java.lang.String update_url, HanwhaNetworkCallback callback)` 버전 정보 수정
`void` `requestCodeList(android.content.Context context, HanwhaNetworkCallback callback)` 전체 코드 목록 조회
`void` `requestMemberDetail(android.content.Context context, int member_id, HanwhaNetworkCallback callback)` 멤버 상세 조회
`void` `requestMemberList(android.content.Context context, java.lang.String encryption_member_id, HanwhaNetworkCallback callback)` 전체 멤버 목록 조회
`void` `requestMemberModify(android.content.Context context, int member_id, HanwhaNetworkCallback callback)` 멤버 - 등록 / 수정
`void` `requestMemberResetPassword(android.content.Context context, int member_id, java.lang.String new_password, HanwhaNetworkCallback callback)` 비밀번호 재설정
`void` `requestMemberResetSimplePassword(android.content.Context context, int member_id, HanwhaNetworkCallback callback)` 간편 비밀번호 초기화
`void` `requestMemberTaskList(android.content.Context context, int member_id, HanwhaNetworkCallback callback)` 멤버 TASK 목록 조회

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BASE_URL

    protected final java.lang.String BASE_URL

#### RESULT_SUCCESS

    private final int RESULT_SUCCESS

See Also:
  Constant Field Values

#### MEMBERS_SEARCH_HR

    protected final java.lang.String MEMBERS_SEARCH_HR

멤버 목록

#### MEMBERS_GET_DETAILS_HR

    protected final java.lang.String MEMBERS_GET_DETAILS_HR

멤버 상세 정보

#### MEMBERS_UPDATE_PASSWORD

    protected final java.lang.String MEMBERS_UPDATE_PASSWORD

멤버 - RESET PASSWORD

#### MEMBERS_DELETE_AUTHCODE

    protected final java.lang.String MEMBERS_DELETE_AUTHCODE

멤버 - RESET SIMPLE PASSWORD

#### MEMBERS_GET_TASKS

    protected final java.lang.String MEMBERS_GET_TASKS

멤버 - TASK 목록 조회

#### MEMBERS_ADDUP

    protected final java.lang.String MEMBERS_ADDUP

멤버 - 등록 / 수정

#### APP_UPDATE

    protected final java.lang.String APP_UPDATE

업데이트 확인

#### APP_CV_GET

    protected final java.lang.String APP_CV_GET

버전 정보 목록 조회

#### APP_CV_UPDATE

    protected final java.lang.String APP_CV_UPDATE

버전 정보 수정

#### APP_CV_ADD

    protected final java.lang.String APP_CV_ADD

버전 정보 등록

#### APP_CV_DELETE

    protected final java.lang.String APP_CV_DELETE

버전 정보 삭제

#### APP_GET_CODES

    protected final java.lang.String APP_GET_CODES

코드 조회

#### PARAM_ENCRYPTION_MEMBER_ID

    private final java.lang.String PARAM_ENCRYPTION_MEMBER_ID

See Also:
  Constant Field Values

#### PARAM_MEMBER_ID

    private final java.lang.String PARAM_MEMBER_ID

See Also:
  Constant Field Values

#### PARAM_PASSWORD

    private final java.lang.String PARAM_PASSWORD

See Also:
  Constant Field Values

#### PARAM_LOGIN_ID

    private final java.lang.String PARAM_LOGIN_ID

See Also:
  Constant Field Values

#### PARAM_ID

    private final java.lang.String PARAM_ID

See Also:
  Constant Field Values

#### PARAM_PLATFORM_TYPE

    private final java.lang.String PARAM_PLATFORM_TYPE

See Also:
  Constant Field Values

#### PARAM_RELEASED_AT

    private final java.lang.String PARAM_RELEASED_AT

See Also:
  Constant Field Values

#### PARAM_VERSION

    private final java.lang.String PARAM_VERSION

See Also:
  Constant Field Values

#### PARAM_STRING_BUNDLE

    private final java.lang.String PARAM_STRING_BUNDLE

See Also:
  Constant Field Values

#### PARAM_IS_FORCED

    private final java.lang.String PARAM_IS_FORCED

See Also:
  Constant Field Values

#### PARAM_UPDATE_NOTICE

    private final java.lang.String PARAM_UPDATE_NOTICE

See Also:
  Constant Field Values

#### PARAM_UPDATE_URL

    private final java.lang.String PARAM_UPDATE_URL

See Also:
  Constant Field Values

#### mHanwhaNetworkCallback

    private HanwhaNetworkCallback mHanwhaNetworkCallback

HanwhaNetworkCallback

#### mCommonHanwhaNetworkCallback

    HanwhaNetworkCallback mCommonHanwhaNetworkCallback

#### CONTENT_TYPE

    private final java.lang.String CONTENT_TYPE

Header

See Also:
  Constant Field Values

#### USER_AGENT

    private final java.lang.String USER_AGENT

See Also:
  Constant Field Values

#### USER_TYPE

    private final java.lang.String USER_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### AdminNetworkUtil

    public AdminNetworkUtil()

### Method Detail

#### requestMemberList

    public void requestMemberList(@NonNull
                                  android.content.Context context,
                                  @NonNull
                                  java.lang.String encryption_member_id,
                                  @Nullable
                                  HanwhaNetworkCallback callback)

전체 멤버 목록 조회

Parameters:
  `context` - Context
  `encryption_member_id` - 암호화된 멤버 ID
  `callback` - CALLBACK

#### requestMemberDetail

    public void requestMemberDetail(@NonNull
                                    android.content.Context context,
                                    @NonNull
                                    int member_id,
                                    @Nullable
                                    HanwhaNetworkCallback callback)

멤버 상세 조회

Parameters:
  `context` - Context
  `member_id` - 멤버 ID
  `callback` - CALLBACK

#### requestMemberModify

    public void requestMemberModify(@NonNull
                                    android.content.Context context,
                                    @NonNull
                                    int member_id,
                                    @Nullable
                                    HanwhaNetworkCallback callback)

멤버 - 등록 / 수정

Parameters:
  `context` - Context
  `member_id` - 멤버 ID
  `callback` - CALLBACK

#### requestMemberResetPassword

    public void requestMemberResetPassword(@NonNull
                                           android.content.Context context,
                                           @NonNull
                                           int member_id,
                                           @NonNull
                                           java.lang.String new_password,
                                           @Nullable
                                           HanwhaNetworkCallback callback)

비밀번호 재설정

Parameters:
  `context` - Context
  `member_id` - 멤버 ID
  `callback` - CALLBACK

#### requestMemberResetSimplePassword

    public void requestMemberResetSimplePassword(@NonNull
                                                 android.content.Context context,
                                                 @NonNull
                                                 int member_id,
                                                 @Nullable
                                                 HanwhaNetworkCallback callback)

간편 비밀번호 초기화

Parameters:
  `context` - Context
  `member_id` - 멤버 ID
  `callback` - CALLBACK

#### requestMemberTaskList

    public void requestMemberTaskList(@NonNull
                                      android.content.Context context,
                                      @NonNull
                                      int member_id,
                                      @Nullable
                                      HanwhaNetworkCallback callback)

멤버 TASK 목록 조회

Parameters:
  `context` - Context
  `member_id` - 멤버 ID
  `callback` - CALLBACK

#### requestCheckUpdateIos

    public void requestCheckUpdateIos(@NonNull
                                      android.content.Context context,
                                      @Nullable
                                      HanwhaNetworkCallback callback)

최신 업데이트 버전 조회 (iOS)

Parameters:
  `context` - Context
  `callback` - 콜백

#### requestCheckUpdateAndroid

    public void requestCheckUpdateAndroid(@NonNull
                                          android.content.Context context,
                                          @Nullable
                                          HanwhaNetworkCallback callback)

최신 업데이트 버전 조회 (Android)

Parameters:
  `context` - Context
  `callback` - 콜백

#### requestClientVersionList

    public void requestClientVersionList(@NonNull
                                         android.content.Context context,
                                         @NonNull
                                         java.lang.String encryption_member_id,
                                         @Nullable
                                         HanwhaNetworkCallback callback)

버전 정보 목록 조회

Parameters:
  `context` - Context
  `encryption_member_id` - 암호화된 멤버 고유 ID
  `callback` - 콜백

#### requestClientVersionUpdate

    public void requestClientVersionUpdate(@NonNull
                                           android.content.Context context,
                                           @NonNull
                                           java.lang.String encryption_member_id,
                                           @NonNull
                                           int id,
                                           @NonNull
                                           int platform_type,
                                           @NonNull
                                           java.lang.String released_at,
                                           @NonNull
                                           java.lang.String version,
                                           @Nullable
                                           java.lang.String string_bundle,
                                           @NonNull
                                           boolean is_forced,
                                           @NonNull
                                           java.lang.String update_notice,
                                           @NonNull
                                           java.lang.String update_url,
                                           @Nullable
                                           HanwhaNetworkCallback callback)

버전 정보 수정

Parameters:
  `context` - Context
  `encryption_member_id` - 암호화된 멤버 고유 ID
  `id` -
  `platform_type` -
  `released_at` -
  `version` -
  `string_bundle` -
  `is_forced` -
  `update_notice` -
  `update_url` -
  `callback` - 콜백

#### requestClientVersionAdd

    public void requestClientVersionAdd(@NonNull
                                        android.content.Context context,
                                        @NonNull
                                        java.lang.String encryption_member_id,
                                        @NonNull
                                        int platform_type,
                                        @NonNull
                                        java.lang.String released_at,
                                        @NonNull
                                        java.lang.String version,
                                        @Nullable
                                        java.lang.String string_bundle,
                                        @NonNull
                                        boolean is_forced,
                                        @NonNull
                                        java.lang.String update_notice,
                                        @NonNull
                                        java.lang.String update_url,
                                        @Nullable
                                        HanwhaNetworkCallback callback)

버전 정보 등록

Parameters:
  `context` - Context
  `encryption_member_id` - 암호화된 멤버 고유 ID
  `platform_type` -
  `released_at` -
  `version` -
  `string_bundle` -
  `is_forced` -
  `update_notice` -
  `update_url` -
  `callback` - 콜백

#### requestClientVersionDelete

    public void requestClientVersionDelete(@NonNull
                                           android.content.Context context,
                                           @NonNull
                                           java.lang.String encryption_member_id,
                                           @NonNull
                                           int id,
                                           @Nullable
                                           HanwhaNetworkCallback callback)

버전 정보 삭제

Parameters:
  `context` - Context
  `encryption_member_id` - 암호화된 멤버 고유 ID
  `id` - 버전 ID
  `callback` - 콜백

#### requestCodeList

    public void requestCodeList(@NonNull
                                android.content.Context context,
                                @Nullable
                                HanwhaNetworkCallback callback)

전체 코드 목록 조회

Parameters:
  `context` - Context
  `callback` - 콜백

#### getIosHeader

    private java.util.HashMap<java.lang.String,java.lang.String> getIosHeader(android.content.Context context)

#### getDefaultHeader

    private java.util.HashMap<java.lang.String,java.lang.String> getDefaultHeader(android.content.Context context)

#### getOsVersion

    private java.lang.String getOsVersion()